/**
 * Copyright (C) 2010 Hamburg Sud
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.hamburgsud.aludratest.gui.component;


import com.hamburgsud.aludratest.AludraTest;
import com.hamburgsud.aludratest.action.condition.Condition;
import com.hamburgsud.aludratest.action.interaction.Interaction;
import com.hamburgsud.aludratest.action.verification.Verification;

public abstract class GUIComponent {

	protected AludraTest aludraTest;
	protected Object locator;

	private GUIComponent() {
		super();
	}

	public GUIComponent(final AludraTest aludraTest, final Object locator) {
		this();
		this.aludraTest = aludraTest;
		this.locator = locator;
	}

	protected Interaction perform() {
		return aludraTest.perform();
	}

	protected Verification verify() {
		return aludraTest.verify();
	}
	
	protected Condition check() {
		return aludraTest.check();
	}

}
