/**
 * Copyright (C) 2010 Hamburg Sud
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.hamburgsud.aludratest.handler;


import com.hamburgsud.aludratest.caller.Command;
import com.hamburgsud.aludratest.configuration.SeleniumWrapperConfiguration;
import com.hamburgsud.aludratest.wrapper.Wrapper;
import com.hamburgsud.log4testing.core.data.TestStep;

public class DefaultInteractionExceptionHandler extends DefaultExceptionHandler {

	public DefaultInteractionExceptionHandler() {
		super();
	}
	
	public boolean handle(final Exception e, final TestStep testStep,
			final Command calledCommand, final Wrapper wrapper) {
		super.handle(e, testStep, calledCommand, wrapper);
		return !SeleniumWrapperConfiguration.BREAK_ON_INTERACTION;
	}

}
