/**
 * Copyright (C) 2010 Hamburg Sud
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.hamburgsud.aludratest.locator.option;

public class IndexLocator extends OptionLocator {
	private Integer indexNumber;

	/**
	 * Locates an option by its Index which starts with 0
	 * @param locator - Index, starting with 0 (which is the first Item in a DropDownBox)
	 */
	public IndexLocator(String locator) {
		super(locator);
		indexNumber = Integer.parseInt(locator);
	}
	
	public Integer getIndex() {
		return indexNumber;
	}

}
